summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMark Wielaard <mark@klomp.org>2018-11-16 12:44:53 +0100
committerMark Wielaard <mark@klomp.org>2018-11-16 12:44:53 +0100
commit4ea9a2db164caadf836a65d5cdffb09a2d5a37ce (patch)
tree9616aafd1952bf869010277157257d23df2f6639
parenta01938d584b91e747167bb4b3f30ec300c4d6e43 (diff)
Update upload-release.sh script and po files.elfutils-0.175
Signed-off-by: Mark Wielaard <mark@klomp.org>
-rwxr-xr-xconfig/upload-release.sh38
-rw-r--r--po/de.po4
-rw-r--r--po/es.po4
-rw-r--r--po/ja.po4
-rw-r--r--po/pl.po4
-rw-r--r--po/uk.po4
6 files changed, 43 insertions, 15 deletions
diff --git a/config/upload-release.sh b/config/upload-release.sh
index 320d1ada..a44d40c9 100755
--- a/config/upload-release.sh
+++ b/config/upload-release.sh
@@ -1,5 +1,10 @@
#!/bin/bash
+# Must be run in the source directory.
+# Should have passed make distcheck.
+# And all final changes should already have been pushed.
+# Backup copy will be created in $HOME/elfutils-$VERSION
+
# Any error is fatal
set -e
@@ -11,21 +16,44 @@ fi
VERSION="$1"
-# Check we are in the build dir already configured.
-ELFUTILS_VERSION=$(echo $VERSION | cut -f2 -d\.)
-grep $ELFUTILS_VERSION version.h \
- || (echo "Must be run in configured build dir for $VERSION"; exit -1)
+echo Make sure the git repo is tagged, signed and pushed
+echo git tag -s -m \"elfutils $VERSION release\" elfutils-$VERSION
+echo git push --tags
+
+# Create a temporary directoy and make sure it is cleaned up.
+tempdir=$(mktemp -d) || exit
+trap "rm -rf -- ${tempdir}" EXIT
+
+pushd "${tempdir}"
+
+# Checkout
+git clone git://sourceware.org/git/elfutils.git
+cd elfutils
+git checkout -b "$VERSION" "elfutils-${VERSION}"
+# Create dist
+autoreconf -v -f -i
+./configure --enable-maintainer-mode
make dist
+# Sign
mkdir $VERSION
cp elfutils-$VERSION.tar.bz2 $VERSION/
cd $VERSION/
gpg -b elfutils-$VERSION.tar.bz2
cd ..
-scp -r $VERSION sourceware.org:/sourceware/ftp/pub/elfutils/
+# Backup copy
+cp -r $VERSION $HOME/elfutils-$VERSION
+
+# Upload
+scp -r $VERSION sourceware.org:/sourceware/ftp/pub/elfutils/
ssh sourceware.org "(cd /sourceware/ftp/pub/elfutils \
&& ln -sf $VERSION/elfutils-$VERSION.tar.bz2 elfutils-latest.tar.bz2 \
&& ln -sf $VERSION/elfutils-$VERSION.tar.bz2.sig elfutils-latest.tar.bz2.sig \
&& ls -lah elfutils-latest*)"
+
+# Cleanup
+popd
+trap - EXIT
+exit
diff --git a/po/de.po b/po/de.po
index 3aac9b6c..88d7e6bc 100644
--- a/po/de.po
+++ b/po/de.po
@@ -11,7 +11,7 @@ msgid ""
msgstr ""
"Project-Id-Version: elfutils VERSION\n"
"Report-Msgid-Bugs-To: https://sourceware.org/bugzilla/\n"
-"POT-Creation-Date: 2018-11-14 13:04+0100\n"
+"POT-Creation-Date: 2018-11-16 12:42+0100\n"
"PO-Revision-Date: 2009-06-29 15:15+0200\n"
"Last-Translator: Michael Münch <micm@fedoraproject.org>\n"
"Language-Team: German\n"
@@ -531,7 +531,7 @@ msgid "No backend"
msgstr "Kein Backend"
#: libebl/eblcorenotetypename.c:100 libebl/eblobjnotetypename.c:77
-#: libebl/eblobjnotetypename.c:111 libebl/eblobjnotetypename.c:132
+#: libebl/eblobjnotetypename.c:109 libebl/eblobjnotetypename.c:130
#: libebl/eblosabiname.c:73 libebl/eblsectionname.c:83
#: libebl/eblsectiontypename.c:115 libebl/eblsegmenttypename.c:79
msgid "<unknown>"
diff --git a/po/es.po b/po/es.po
index 7fb8ac30..ad84e9e9 100644
--- a/po/es.po
+++ b/po/es.po
@@ -10,7 +10,7 @@ msgid ""
msgstr ""
"Project-Id-Version: elfutils.master.es\n"
"Report-Msgid-Bugs-To: https://sourceware.org/bugzilla/\n"
-"POT-Creation-Date: 2018-11-14 13:04+0100\n"
+"POT-Creation-Date: 2018-11-16 12:42+0100\n"
"PO-Revision-Date: 2011-01-10 15:17-0300\n"
"Last-Translator: Claudio Rodrigo Pereyra Diaz <claudiorodrigo@pereyradiaz."
"com.ar>\n"
@@ -529,7 +529,7 @@ msgid "No backend"
msgstr "No hay segundo plano (Backend)"
#: libebl/eblcorenotetypename.c:100 libebl/eblobjnotetypename.c:77
-#: libebl/eblobjnotetypename.c:111 libebl/eblobjnotetypename.c:132
+#: libebl/eblobjnotetypename.c:109 libebl/eblobjnotetypename.c:130
#: libebl/eblosabiname.c:73 libebl/eblsectionname.c:83
#: libebl/eblsectiontypename.c:115 libebl/eblsegmenttypename.c:79
msgid "<unknown>"
diff --git a/po/ja.po b/po/ja.po
index 1823da2d..fc47ba20 100644
--- a/po/ja.po
+++ b/po/ja.po
@@ -8,7 +8,7 @@ msgid ""
msgstr ""
"Project-Id-Version: ja\n"
"Report-Msgid-Bugs-To: https://sourceware.org/bugzilla/\n"
-"POT-Creation-Date: 2018-11-14 13:04+0100\n"
+"POT-Creation-Date: 2018-11-16 12:42+0100\n"
"PO-Revision-Date: 2009-09-20 15:32+0900\n"
"Last-Translator: Hyu_gabaru Ryu_ichi <hyu_gabaru@yahoo.co.jp>\n"
"Language-Team: Japanese <jp@li.org>\n"
@@ -528,7 +528,7 @@ msgid "No backend"
msgstr "バックエンドがありません"
#: libebl/eblcorenotetypename.c:100 libebl/eblobjnotetypename.c:77
-#: libebl/eblobjnotetypename.c:111 libebl/eblobjnotetypename.c:132
+#: libebl/eblobjnotetypename.c:109 libebl/eblobjnotetypename.c:130
#: libebl/eblosabiname.c:73 libebl/eblsectionname.c:83
#: libebl/eblsectiontypename.c:115 libebl/eblsegmenttypename.c:79
msgid "<unknown>"
diff --git a/po/pl.po b/po/pl.po
index 3c6b468e..546fe3e3 100644
--- a/po/pl.po
+++ b/po/pl.po
@@ -8,7 +8,7 @@ msgid ""
msgstr ""
"Project-Id-Version: elfutils\n"
"Report-Msgid-Bugs-To: https://sourceware.org/bugzilla/\n"
-"POT-Creation-Date: 2018-11-14 13:04+0100\n"
+"POT-Creation-Date: 2018-11-16 12:42+0100\n"
"PO-Revision-Date: 2016-12-29 17:48+0100\n"
"Last-Translator: Piotr Drąg <piotrdrag@gmail.com>\n"
"Language-Team: Polish <trans-pl@lists.fedoraproject.org>\n"
@@ -524,7 +524,7 @@ msgid "No backend"
msgstr "Brak zaplecza"
#: libebl/eblcorenotetypename.c:100 libebl/eblobjnotetypename.c:77
-#: libebl/eblobjnotetypename.c:111 libebl/eblobjnotetypename.c:132
+#: libebl/eblobjnotetypename.c:109 libebl/eblobjnotetypename.c:130
#: libebl/eblosabiname.c:73 libebl/eblsectionname.c:83
#: libebl/eblsectiontypename.c:115 libebl/eblsegmenttypename.c:79
msgid "<unknown>"
diff --git a/po/uk.po b/po/uk.po
index c46ad048..79d9c911 100644
--- a/po/uk.po
+++ b/po/uk.po
@@ -7,7 +7,7 @@ msgid ""
msgstr ""
"Project-Id-Version: \n"
"Report-Msgid-Bugs-To: https://sourceware.org/bugzilla/\n"
-"POT-Creation-Date: 2018-11-14 13:04+0100\n"
+"POT-Creation-Date: 2018-11-16 12:42+0100\n"
"PO-Revision-Date: 2015-09-26 16:41+0300\n"
"Last-Translator: Yuri Chornoivan <yurchor@ukr.net>\n"
"Language-Team: Ukrainian <kde-i18n-uk@kde.org>\n"
@@ -525,7 +525,7 @@ msgid "No backend"
msgstr "Немає сервера"
#: libebl/eblcorenotetypename.c:100 libebl/eblobjnotetypename.c:77
-#: libebl/eblobjnotetypename.c:111 libebl/eblobjnotetypename.c:132
+#: libebl/eblobjnotetypename.c:109 libebl/eblobjnotetypename.c:130
#: libebl/eblosabiname.c:73 libebl/eblsectionname.c:83
#: libebl/eblsectiontypename.c:115 libebl/eblsegmenttypename.c:79
msgid "<unknown>"